package com.ruoyi.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * boman_news对象 boman_news
 * 
 * @author boman
 * @date 2023-11-02
 */
public class BomanNews extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 新闻编号 */
    private Long newsId;

    /** 所属专题 */
    @Excel(name = "所属专题")
    private Long topicId;

    /** 文章标题 */
    @Excel(name = "文章标题")
    private String title;

    /** 文章来源 */
    @Excel(name = "文章来源")
    private String source;

    /** 文章原作者 */
    @Excel(name = "文章原作者")
    private String author;

    /** 转载来源网址 */
    @Excel(name = "转载来源网址")
    private String fromUrl;

    /** 封面图 */
    @Excel(name = "封面图")
    private String image;

    /** 关键字 */
    @Excel(name = "关键字")
    private String keywords;

    /** 简介 */
    @Excel(name = "简介")
    private String description;

    /** 类型(1:普通,2:热门...) */
    @Excel(name = "类型(1:普通,2:热门...)")
    private String type;

    /** 是否允许评论(0:不允许,1:允许) */
    @Excel(name = "是否允许评论(0:不允许,1:允许)")
    private String allowcomments;

    /** 状态(-1:不通过,0未审核,1:通过) */
    @Excel(name = "状态(-1:不通过,0未审核,1:通过)")
    private String status;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 发布人id */
    @Excel(name = "发布人id")
    private Integer userId;

    /** 阅读数量 */
    @Excel(name = "阅读数量")
    private Integer readnumber;

    /** 置顶等级 */
    @Excel(name = "置顶等级")
    private Long top;

    /** 排序 */
    @Excel(name = "排序")
    private Long orders;

    /** 发布时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "发布时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date releaseTime;

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public void setNewsId(Long newsId)
    {
        this.newsId = newsId;
    }

    public Long getNewsId() 
    {
        return newsId;
    }
    public void setTopicId(Long topicId) 
    {
        this.topicId = topicId;
    }

    public Long getTopicId() 
    {
        return topicId;
    }
    public void setTitle(String title) 
    {
        this.title = title;
    }

    public String getTitle() 
    {
        return title;
    }
    public void setSource(String source) 
    {
        this.source = source;
    }

    public String getSource() 
    {
        return source;
    }
    public void setAuthor(String author) 
    {
        this.author = author;
    }

    public String getAuthor() 
    {
        return author;
    }
    public void setFromUrl(String fromUrl) 
    {
        this.fromUrl = fromUrl;
    }

    public String getFromUrl() 
    {
        return fromUrl;
    }
    public void setImage(String image) 
    {
        this.image = image;
    }

    public String getImage() 
    {
        return image;
    }
    public void setKeywords(String keywords) 
    {
        this.keywords = keywords;
    }

    public String getKeywords() 
    {
        return keywords;
    }
    public void setDescription(String description) 
    {
        this.description = description;
    }

    public String getDescription() 
    {
        return description;
    }

    public void setAllowcomments(String allowcomments) 
    {
        this.allowcomments = allowcomments;
    }

    public String getAllowcomments() 
    {
        return allowcomments;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setContent(String content) 
    {
        this.content = content;
    }

    public String getContent() 
    {
        return content;
    }
    public void setUserId(Integer userId) 
    {
        this.userId = userId;
    }

    public Integer getUserId() 
    {
        return userId;
    }
    public void setReadnumber(Integer readnumber) 
    {
        this.readnumber = readnumber;
    }

    public Integer getReadnumber() 
    {
        return readnumber;
    }
    public void setTop(Long top) 
    {
        this.top = top;
    }

    public Long getTop() 
    {
        return top;
    }
    public void setOrders(Long orders) 
    {
        this.orders = orders;
    }

    public Long getOrders() 
    {
        return orders;
    }
    public void setReleaseTime(Date releaseTime) 
    {
        this.releaseTime = releaseTime;
    }

    public Date getReleaseTime() 
    {
        return releaseTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("newsId", getNewsId())
            .append("topicId", getTopicId())
            .append("title", getTitle())
            .append("source", getSource())
            .append("author", getAuthor())
            .append("fromUrl", getFromUrl())
            .append("image", getImage())
            .append("keywords", getKeywords())
            .append("description", getDescription())
            .append("type", getType())
            .append("allowcomments", getAllowcomments())
            .append("status", getStatus())
            .append("content", getContent())
            .append("userId", getUserId())
            .append("readnumber", getReadnumber())
            .append("top", getTop())
            .append("orders", getOrders())
            .append("releaseTime", getReleaseTime())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
